## ros-noetic-ixblue-ins-msgs 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ixblue_ins_msgs)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  std_msgs
  message_generation
)

## Generate messages in the 'msg' folder
add_message_files(
  DIRECTORY msg
  FILES
  Ins.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  geometry_msgs
  std_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS geometry_msgs std_msgs message_runtime
)

=== debian/changelog ===
ros-noetic-ixblue-ins-msgs (0.1.5-1buster) buster; urgency=high



 -- Adrien BARRAL <adrien.barral@ixblue.com>  Thu, 12 Nov 2020 23:00:00 -0000

ros-noetic-ixblue-ins-msgs (0.1.4-1buster) buster; urgency=high

  * Bump minimum CMake version to avoid CMP0048 on Noetic buildfarm
  * Contributors: Romain Reignier

 -- Adrien BARRAL <adrien.barral@ixblue.com>  Mon, 26 Oct 2020 23:00:00 -0000

ros-noetic-ixblue-ins-msgs (0.1.3-1buster) buster; urgency=high



 -- Adrien BARRAL <adrien.barral@ixblue.com>  Mon, 31 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-msgs (0.1.2-1buster) buster; urgency=high



 -- Adrien BARRAL <adrien.barral@ixblue.com>  Sun, 30 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-msgs (0.1.1-1buster) buster; urgency=high

  * Breaking change: Rename ins.msg to Ins.msg and iX/ins topic to ix/ins topic to follow ROS coding style
    - In ROS, message names are CamelCase
    - Topics are in lower case
  * Minor formating fixes in ins msg definition
  * msgs: fix minor typo
  * Contributors: BARRAL Adrien, G.A. vd. Hoorn, Romain Reignier

 -- Adrien BARRAL <adrien.barral@ixblue.com>  Thu, 27 Aug 2020 22:00:00 -0000

ros-noetic-ixblue-ins-msgs (0.1.0-1buster) buster; urgency=high

  * Prepare ROS release
  * Initial Commit.
  * Contributors: Adrien BARRAL, Romain Reignier

 -- Adrien BARRAL <adrien.barral@ixblue.com>  Wed, 26 Aug 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-ixblue-ins-msgs
Section: misc
Priority: optional
Maintainer: Adrien BARRAL <adrien.barral@ixblue.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/ixblue_ins_msgs
Standards-Version: 3.9.2

Package: ros-noetic-ixblue-ins-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: The ixblue INS defined messages package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ixblue-ins-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
